CodeLab Browser Compatibility Information

Supported Platforms (note: "Windows" means "Windows 7 and more recent"):
  • (Windows) Internet Explorer: Versions 10.0 and above (though 9.0 often seems to mostly work).
  • (Windows) FireFox: Versions 25.0 and above.
  • (Windows) Chrome: Versions 25.0 and above.
  • (Windows) Safari: Versions 6.0 and above.
  • (MacOS X) Safari: Versions 6.0 and above.
  • (MacOS X) FireFox: Versions 25.0 and above.
  • (MacOS X) Chrome: Versions 25.0 and above.

Platforms That Are Likely To Be Compatible:
  • Any widely used Linux system and a recent, standards-supporting browser.
  • iOS 6 and above with Safari


    • CodeLab no longer uses Flash, but there is a Flash-based client that is typically only used by faculty for creating their own exercises. If you use that client you should always use the most recent version of the free Adobe-provided Flash player. Download it from: www.adobe.com.